<?php
if(!function_exists('sql_table'))	{
	function sql_table($name) {	return 'nucleus_'.$name;	}
}
class NP_Mobile extends NucleusPlugin {
	function getName() {	return 'Mobile';	}
	function getAuthor() {	return 'Jun';	}
	function getURL() {	return 'http://circle.club.or.jp/item/459';	}
	function getVersion() {	return '0.23';	}
	function getDescription() {	return '携帯端末用サイト向け、アイテムのページ分割プラグイン。テンプレートに&lt;%Mobile(1000)%&gt;と記述。()の中は１ページあたりの文字数。';	}
	function supportsFeature($what) {
		switch($what)	{
			case 'SqlTablePrefix':
				return 1;
			default:
				return 0;
		}
	}
	function doTemplateVar(&$item, $maxLength = 1000) {
		$data = $item -> body.$item -> more;
// ■不要な文字列の除去＆変換
		$data = str_replace('"', '', $data);
		$data = ereg_replace('a href=https*://', 'a class=', $data);
		$data = ereg_replace(' (id|class|target|title|style|name)=[[:alnum:][:space:]\+\$\;\?\.\W\w%,!#~*/:@&=_-]+', '', $data);
		$data = ereg_replace('<(/*ul|/*ol|h[0-9])>', '', $data);
		$data = ereg_replace('<(/*div|/*p|hr /|br /|/li|/h[0-9])>', '<br>', $data);
		$data = str_replace('<li>', '@', $data);
		$data = ereg_replace(" *[\r\n\t]", "", $data);
		$data = ereg_replace('(<br>)+', '<br>', $data);
// ■アイテムの文字数を計算
		$str = mb_strlen($data);
		if ($str <= $maxLength) {
			echo $data;
		}else {
// ■ページ分割
			$ipage = getVar('page');
			$itemid = $item -> itemid;
			$plk = "<a href=?itemid=$itemid&page=";
			$max = ceil($str / $maxLength);
			while ($ipage <= $max) {
				if ($ipage < 1) $ipage = 1;
				$psh = ($ipage == $max) ? "<br>(End)<hr>" : "></a><hr>";
				$psh .= ($ipage != 1) ? $plk.($ipage - 1).">前</a>" : "前";
				$psh .= "[P.$ipage/$max]";
				$psh .= ($ipage != $max) ? $plk.($ipage + 1).">次</a>" : "次";
				echo mb_substr($data, $maxLength * ($ipage - 1), $maxLength).$psh;
				for ($ipage = 1; $ipage <= $max; $ipage++);
			}
		}
	}
}
?>